
# Reference
# Mercury Manual https://www.manualslib.com/manual/1737735/Mercury-150-Efi.html?page=160#manual

connectors:

    # ----------------------------
    # Power
    Main Battery:
        pinlabels: [POS, NEG]
        pincolors: [RD, BK]
        show_pincount: false
        bgcolor_title: LB
        ignore_in_bom: true

    Battery Switch:
        pinlabels: [12V]
        pincolors: [RD]
        show_pincount: false
        bgcolor_title: LB
        ignore_in_bom: true

    Fuse Panel Circuit Breaker:
        pinlabels: [12V]
        pincolors: [RD]
        show_pincount: false
        bgcolor_title: LB
        ignore_in_bom: true
        notes: Max 30 Amps

    Jack Plate Circuit Breaker:
        pinlabels: [12V]
        pincolors: [RD]
        show_pincount: false
        bgcolor_title: LB
        ignore_in_bom: true
        notes: Max 40 Amps

    Fuse Panel:
        pinlabels: [KEY, LIGHTS, ACC, WELLPUMP, MOTORTRIM, GPS, 12V, GND]
        bgcolor_title: LB
        show_pincount: false
        ignore_in_bom: true
        notes: "10A Fuse Each"


    # ----------------------------
    # Jack Plate Pump
    Jack Plate Pump:
        pinlabels: [12V, UP, DN, GND]
        bgcolor_title: LB
        show_pincount: false
        ignore_in_bom: true

    Jack Plate Switch:
        pinlabels: [12V, UP, DN]
        bgcolor_title: LB
        show_pincount: false
        ignore_in_bom: true


    # ----------------------------
    # Motor
    Motor:
        pinlabels: [GND, 12V, SW12V, START, KILL, TRIM-UP, TRIM-DN, TEMP, TACH, ALARM, CHOKE, ANK]
        bgcolor_title: LB
        show_pincount: false
        ignore_in_bom: true

    Motor Trim Switch:
        pinlabels: [12V, TRIM-UP, TRIM-DN]
        notes: Thumb Switch in Throttle
        bgcolor_title: LB
        show_pincount: false
        ignore_in_bom: true

    Motor Neutral Switch:
        pinlabels: [NSW]
        notes: Bult into Throttle
        bgcolor_title: LB
        show_pincount: false
        ignore_in_bom: true

    Motor Lanyard Stop Switch:
        pinlabels: [GND, KILL]
        bgcolor_title: LB
        show_pincount: false
        ignore_in_bom: true

    Tach Gauge:
        pinlabels: [GND, SW12V, SEN, LIGHT]
        bgcolor_title: LB
        show_pincount: false
        ignore_in_bom: true

    Water Pressure Gauge:
        pinlabels: [GND, SW12V, LIGHT]
        bgcolor_title: LB
        show_pincount: false
        ignore_in_bom: true

    Temperature Gauge:
        pinlabels: [GND, SW12V, SEN, LIGHT]
        bgcolor_title: LB
        show_pincount: false
        ignore_in_bom: true

    Hour Meter Gauge:
        pinlabels: [GND, SW12V, SEN, LIGHT]
        bgcolor_title: LB
        show_pincount: false
        ignore_in_bom: true

    # ----------------------------
    # Motor Alarm
    Motor Alarm:
        pinlabels: [SW12V, ALARM]
        bgcolor_title: LB
        show_pincount: false
        ignore_in_bom: true


    # ----------------------------
    # Fuel
    Fuel Level Gauge:
        pinlabels: [GND, SW12V, LIGHT, SEN]
        bgcolor_title: LB
        show_pincount: false
        ignore_in_bom: true

    Fuel Level Sensor:
        pinlabels: [GND, SEN]
        bgcolor_title: LB
        show_pincount: false
        ignore_in_bom: true

    # ----------------------------
    # Ignition
    Ignition Switch:
        # B: 12V
        # A: SW12V
        # M: Coil/Magneto (KILL)
        # S: To Neutral Safety Swith
        # C: Primer
        pinlabels: [12V, SW12V, START, KILL, GND]
        pincolors: [RD,  VT,    WH,    BKYE, BK]
        bgcolor_title: LB
        show_pincount: false
        ignore_in_bom: true
        notes: KILL connects to ground when off. Open when in RUN.

    Switched 12V Terminal:
        pinlabels: [SW12V]
        pincolors: [VT]
        bgcolor_title: LB
        show_pincount: false
        ignore_in_bom: true
        notes: Stand alone 5/16 red terminal

    Ground Terminal:
        pinlabels: [GND]
        pincolors: [BK]
        bgcolor_title: LB
        show_pincount: false
        ignore_in_bom: true
        notes: Stand alone 5/16 black terminal


    GPS:
        pinlabels: [GND, 12V]
        show_pincount: false
        ignore_in_bom: true
        bgcolor_title: LB

    Well Pump:
        pinlabels: [12V, GND]
        show_pincount: false
        ignore_in_bom: true
        bgcolor_title: LB

    USB:
        pinlabels: [GND, 12V]
        show_pincount: false
        ignore_in_bom: true
        bgcolor_title: LB

    House Lights:
        pinlabels: [12V, GND]
        show_pincount: false
        ignore_in_bom: true
        bgcolor_title: LB
        notes: courtesy lights

    Anchor Light:
        pinlabels: [12V, GND]
        show_pincount: false
        ignore_in_bom: true
        bgcolor_title: LB
        notes: On top of Motor

    Running Lights:
        pinlabels: [12V, GND]
        show_pincount: false
        ignore_in_bom: true
        bgcolor_title: LB


    # ----------------------------
    Control Panel:
        pinlabels: [LIGHTS-RUN, LIGHTS-ANCHOR, LIGHTS-HOUSE, WELLPUMP, SP1, SP2, GND]
        notes: LIGHTS-RUN out to switch LEDs
        bgcolor_title: LB
        show_pincount: false
        ignore_in_bom: true

    Control Panel Switch:
        pinlabels: [NA, 12V, 12VOUT, NA, NA, LOW_LED_12V, LOW_LED_GND, UP_LED_GND]
        bgcolor_title: LB
        show_pincount: false
        ignore_in_bom: true
        notes: Reference for control panel switch pins


# ******************************************
# ******************************************
cables:

    # ----------------------------
    # Power
    From Main Battery:
        colors: [RD, BK]
        wirelabels: [12V, GND]
        ignore_in_bom: true
        show_wirecount: false
        show_wirenumbers: false
        bgcolor_title: SN

    From Battery Switch:
        gauge: 6 AWG
        colors: [RD]
        wirelabels: [12V]
        ignore_in_bom: true
        show_wirecount: false
        show_wirenumbers: false
        bgcolor_title: SN
        notes: 8 AWG = max 50A

    From Fuse Panel Circuit Breaker:
        gauge: 10 AWG
        colors: [RD]
        wirelabels: [12V]
        ignore_in_bom: true
        show_wirecount: false
        show_wirenumbers: false
        bgcolor_title: SN

    From Jack Plate Circuit Breaker:
        gauge: 8 AWG
        colors: [RD]
        wirelabels: [12V]
        ignore_in_bom: true
        show_wirecount: false
        show_wirenumbers: false
        bgcolor_title: SN

    From Jack Plate Pump:
        colors: [BUWH, GNWH]
        wirelabels: [UP, DN]
        ignore_in_bom: true
        show_wirecount: false
        show_wirenumbers: false
        bgcolor_title: SN
        notes: Colors Need to be Confirmed

    From Fuse Panel:
        colors:     [VT,  WH,     GN,  YE,       YE,       RD,  BK]
        wirelabels: [KEY, LIGHTS, ACC, WELLPUMP, MOTORTRIM, GPS,   GND]
        ignore_in_bom: true
        show_wirecount: false
        show_wirenumbers: false
        bgcolor_title: SN

    From Ignition Switch:
        gauge: 14 AWG
        colors: [VT, OG, BKYE, BK]
        wirelabels: [SW12V, START, KILL, GND]
        ignore_in_bom: true
        bgcolor_title: SN
        notes: SW12V to Terminal Post for output

    From Switched 12V Terminal:
        colors: [VT]
        wirelabels: [SW12V]
        ignore_in_bom: true
        show_wirecount: false
        show_wirenumbers: false
        bgcolor_title: SN

    From Ground Terminal:
        colors: [BK]
        wirelabels: [GND]
        ignore_in_bom: true
        show_wirecount: false
        show_wirenumbers: false
        bgcolor_title: SN

    From Control Panel:
        colors:     [WH,         WH,            WH,           BN,       WH,   OG]
        wirelabels: [LIGHTS-RUN, LIGHTS-ANCHOR, LIGHTS-HOUSE, WELLPUMP, SP1, SP2 ]
        ignore_in_bom: true
        show_wirecount: false
        show_wirenumbers: false
        bgcolor_title: SN


    # ----------------------------
    # Motor
    To Motor:
        wirelabels: [GND, 12V, SW12V, START, KILL, TRIM-UP, TRIM-DN, TEMP, TACH, ALARM, CHOKE, ANK]
        colors:     [BK,  RDVT,  VT,    YERD,  BKYE, BUWH,    GNWH,    BG,   SL,   BGTQ, YEBK, BGWH]
        notes: Wire Harness from Motor.
        ignore_in_bom: true
        show_wirecount: false
        show_wirenumbers: false
        bgcolor_title: SN
        notes: 12V=RD/PR, START=Y/R, KILL=BK/Y, Alarm=TAN/BLU
        # BLACK        - GND = Ground
        # RED/PURPLE   - 12V = Constant Power from Battery.
        # PURPLE       - SW12V = Switched 12v IN (might be 2 of these)
        # YELLOW/RED   - START = Starter Solenoid Trigger
        # BLACK/YELLOW - KILL = Ground to kill CDI coils.
        # BLUE/WHITE   - TRIM-UP = Trim Up
        # GREEN/WHITE  - TRIM-DN = Trim Down
        # TAN          - TEMP = Temperature Gauge
        #   TAN/BLACK =  Over Temperature Switch
        #   TAN/WHITE = Low Oil Sender
        # TACH - GRAY = (Coinnected to lower voltage regulator?)
        # TAN/LTBLUE   - Pressure Swtich Temperature Switch (appears to come from control module?). Idiot Light on Dash.


    # ----------------------------
    # Fuel Level
    From Fuel Level Gauge:
        colors: [BK, BN]
        wirelabels: [GND, SEN]
        ignore_in_bom: true
        bgcolor_title: SN




# Each section is a sequence of connector -> wire -> connector.
# The "flow" of control, or current being the top/down or left/right order.
connections:

    # ----------------------------
    #  Main Power Connections
    -   # Main Battery
        - Main Battery: [POS, NEG]
        - From Main Battery: [12V, GND]
    - # Main Cutoff Switch
        - From Main Battery: [12V]
        - Battery Switch: [12V]
        - From Battery Switch: [12V]
    -  # Battery Switch -> Fuse Panel Circuit Breaker
        - From Battery Switch: [12V]
        - Fuse Panel Circuit Breaker: [12V]
        - From Fuse Panel Circuit Breaker: [12V]
    -  # Battery Switch -> Jack Plate Circuit Breaker
        - From Battery Switch: [12V]
        - Jack Plate Circuit Breaker: [12V]
        - From Jack Plate Circuit Breaker: [12V]

    # ----------------------------
    # Jack Plate Pump and Switch
    - # Main Power to Jack Plate Pump
        - From Jack Plate Circuit Breaker: [12V]
        - Jack Plate Pump: [12V]
    - # Main Ground
        - From Main Battery: [GND]
        - Jack Plate Pump: [GND]
    - # Pump -> Switch
        - Jack Plate Pump: [UP, DN]
        - From Jack Plate Pump: [UP, DN]
        - Jack Plate Switch: [UP, DN]
    - # Fused Power -> Trim Switch
        - Fuse Panel: [MOTORTRIM]
        - From Fuse Panel: [MOTORTRIM]
        - Jack Plate Switch: [12V]


    # ----------------------------
    # Fuse Panel
    - # Fuse Panel Power In
        - From Fuse Panel Circuit Breaker: [12V]
        - Fuse Panel: [12V]
    - # Fuse Panel Ground
        - From Main Battery: [GND]
        - Fuse Panel: [GND]
        - From Fuse Panel: [GND]
    - # Fuse Panel Out
        - Fuse Panel:      [LIGHTS, ACC, WELLPUMP, KEY, GPS]
        - From Fuse Panel: [LIGHTS, ACC, WELLPUMP, KEY, GPS]


    # ----------------------------
    # Ignition Switch
    - # Power -> Ignition Switch
        - From Fuse Panel: [KEY]
        - Ignition Switch: [12V]
    - # Ignition Outputs
        - Ignition Switch: [GND, SW12V, START, KILL]
        - From Ignition Switch: [GND, SW12V, START, KILL]
    - # Igntion Switch -> 12V Terminal
        - From Ignition Switch: [SW12V]
        - Switched 12V Terminal: [SW12V]
        - From Switched 12V Terminal: [SW12V]
    - # Ignition Switch -> Ground Terminal
        - From Ignition Switch: [GND]
        - Ground Terminal: [GND]
    - # Fuse Panel Ground -> Terminal
        - From Fuse Panel: [GND]
        - Ground Terminal: [GND]
        - From Ground Terminal: [GND]
    - # Kill Circuit shared connection to lanyard
        - From Ignition Switch: [KILL]
        - Motor Lanyard Stop Switch: [KILL]


    # ----------------------------
    # Ignition to Motor
    - # Ignition to Motor
        - Switched 12V Terminal: [SW12V]
        - To Motor:  [SW12V]
        - Motor:  [SW12V]
    - # Ground to Motor
        - Ground Terminal: [GND]
        - To Motor:  [GND]
        - Motor:  [GND]


    # ----------------------------
    #  Trim Switch Connections
    - # Fuse Panel -> Switch
      - From Fuse Panel: [MOTORTRIM]
      - Motor Trim Switch: [12V]
    - # Trim Switch -> Motor
        - Motor Trim Switch: [TRIM-DN, TRIM-UP]
        - To Motor: [TRIM-DN, TRIM-UP]
        - Motor: [TRIM-DN, TRIM-UP]


    # ----------------------------
    # Neutral Safety Switch Connections
    - # Ignition Switch -> NSW
        - From Ignition Switch: [START]
        - Motor Neutral Switch: [NSW]
        - To Motor: [START]
        - Motor: [START]

    # ----------------------------
    # Motor Alarm
    - # Power to Alarm
        - From Switched 12V Terminal: [SW12V]
        - Motor Alarm: [SW12V]
    - # Alarm -> Motor
        - Motor Alarm: [ALARM]
        - To Motor: [ALARM]
        - Motor: [ALARM]

    # ----------------------------
    # Lanyard Safety Switch
    - # Ignition Switch to Lanyard
        - From Ground Terminal: [GND]
        - Motor Lanyard Stop Switch: [GND]
    - # Lanyard to Motor KILL
        - Motor Lanyard Stop Switch: [KILL]
        - To Motor: [KILL]
        - Motor: [KILL]

    # ----------------------------
    # Tach
    - # Power -> Tach
        - From Switched 12V Terminal: [SW12V]
        - Tach Gauge: [SW12V]
    - # Ground -> Tach
        - From Ground Terminal: [GND]
        - Tach Gauge: [GND]
    - # Control Panel Lights -> Tach
        - From Control Panel: [LIGHTS-RUN]
        - Tach Gauge: [LIGHT]
    - # Tach -> Motor
        - Tach Gauge: [SEN]
        - To Motor: [TACH]
        - Motor: [TACH]

    # ----------------------------
    # Temperate Gauge
    - # Power -> Gauge
        - From Switched 12V Terminal: [SW12V]
        - Temperature Gauge: [SW12V]
    - # Ground -> Gauge
        - From Ground Terminal: [GND]
        - Temperature Gauge: [GND]
    - # Control Panel Lights -> Gauge
        - From Control Panel: [LIGHTS-RUN]
        - Temperature Gauge: [LIGHT]
    - # Gauge -> Motor
        - Temperature Gauge: [SEN]
        - To Motor: [TEMP]
        - Motor: [TEMP]

    # ----------------------------
    # Hour Meter
    - # Power -> Hour Meter
        - From Switched 12V Terminal: [SW12V]
        - Hour Meter Gauge: [SW12V]
    - # Groundr -> Hour Meter
        - From Ground Terminal: [GND]
        - Hour Meter Gauge: [GND]
    - # Control Panel Lights -> Hour Meter
        - From Control Panel: [LIGHTS-RUN]
        - Hour Meter Gauge: [LIGHT]
    - # Hour Meter -> Motor
        - Hour Meter Gauge: [SEN]
        - To Motor: [TACH]

    # ----------------------------
    # Water Pressure
    - # Power -> Water Pressure
        - From Switched 12V Terminal: [SW12V]
        - Water Pressure Gauge: [SW12V]
    - # Ground -> Water Pressure
        - From Ground Terminal: [GND]
        - Water Pressure Gauge: [GND]
    - # Control Panel Lights -> Tach
        - From Control Panel: [LIGHTS-RUN]
        - Water Pressure Gauge: [LIGHT]


    # ----------------------------
    # Fuel Gauge
    - # Fuel Gauge Power
        - From Switched 12V Terminal: [SW12V]
        - Fuel Level Gauge: [SW12V]
    - # Fuel Gauge Ground
        - From Ground Terminal: [GND]
        - Fuel Level Gauge: [GND]
    - # Fuel Gauge Lights
        - From Control Panel: [LIGHTS-RUN]
        - Fuel Level Gauge: [LIGHT]
    - # Fuel Gauge -> Sending Unit
        - Fuel Level Gauge: [GND, SEN]
        - From Fuel Level Gauge: [GND, SEN]
        - Fuel Level Sensor: [GND, SEN]


    # ----------------------------
    # Control Panel
    - # Fuse Panel -> Control Panel
        - From Fuse Panel: [GND, LIGHTS,     LIGHTS,        LIGHTS,       WELLPUMP]
        - Control Panel:   [GND, LIGHTS-RUN, LIGHTS-ANCHOR, LIGHTS-HOUSE, WELLPUMP]
    - # Outputs
        - Control Panel:      [LIGHTS-RUN, LIGHTS-ANCHOR, LIGHTS-HOUSE, WELLPUMP]
        - From Control Panel: [LIGHTS-RUN, LIGHTS-ANCHOR, LIGHTS-HOUSE, WELLPUMP]
    - # Fuse Panel -> Lights Anchor
        - From Fuse Panel: [LIGHTS]
        - Control Panel: [LIGHTS-ANCHOR]


    # ----------------------------
    # GPS
    -
        - From Fuse Panel: [GPS, GND]
        - GPS: [12V, GND]

    # ----------------------------
    # Well Pump
    -
        - From Control Panel: [WELLPUMP]
        - Well Pump: [12V]
    -
        - From Main Battery: [GND]
        - Well Pump: [GND]

    # ----------------------------
    # USB
    -
        - From Fuse Panel: [ACC, GND]
        - USB: [12V, GND]

    # ----------------------------
    # House Lights
    -
        - From Fuse Panel: [GND]
        - House Lights: [GND]
    -
        - From Control Panel: [LIGHTS-HOUSE]
        - House Lights: [12V]

    # ----------------------------
    # Anchor Light
    -
        - From Control Panel: [LIGHTS-ANCHOR]
        - Anchor Light: [12V]
    -
        - From Main Battery: [GND]
        - Anchor Light: [GND]


    # ----------------------------
    # Running Lights
    -
        - From Control Panel: [LIGHTS-RUN]
        - Running Lights: [12V]
    -
        - From Fuse Panel: [GND]
        - Running Lights: [GND]

